%{expand: %%define pyver %(python -c 'import sys;print(sys.version[0:3])')}

Summary: A collections of XML-related technologies for python
Name: 4Suite
Version: 1.0
Release: 3%{?dist}.1
Source: ftp://ftp.fourthought.com/pub/4Suite/%{name}-%{version}a3.tar.bz2 
Patch0: 4Suite-expat-dos.patch
License: Apacheish
Group: Development/Libraries
Requires: python, PyXML >= 0.7, Distutils
URL: http://www.4suite.org/
BuildRequires: Distutils, python-devel, PyXML >= 0.7
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
4Suite is a collection of Python tools for XML processing and object-databases.
It contains the following components:

4DOM is an implementation of the W3C's standard DOM API for HTML and
XML content manipulation. 4DOM has full distributed-object support
based on the IDL used in the formal DOM spec.

4XSLT is a powerful XSLT processor based on the latest draft of the
W3C's XSLT specification. One of its many uses is to render XML
documents as customized and stylized HTML for current Web
browsers. 4XSLT also provides a powerful programming API for
applications to use for low-level, customized transformations of XML
documents.

4XPath is a library implementing the W3C's XPath language for
indicating and selecting portions of an XML document.

4RDF is a toolkit and library for RDF processing.

4XPointer a library that can resolve XML link ends based on the W3C's
specification for the XPointer 1.0 Candidate Recommendation.

%prep
%setup -q -n %{name}
%patch0 -p1 -b .expat-dos

%build
export PYTHONPATH=/usr/%{_lib}/python%pyver/site-packages/:/usr/%{_lib}/python%pyver/:/usr/lib/python%pyver/site-packages/:/usr/lib/python%pyver/
CFLAGS="$RPM_OPT_FLAGS" python  setup.py build

%install
rm -fr $RPM_BUILD_ROOT
export PYTHONPATH=/usr/%{_lib}/python%pyver/site-packages/:/usr/%{_lib}/python%pyver/:/usr/lib/python%pyver/site-packages/:/usr/lib/python%pyver/
python setup.py install --root=$RPM_BUILD_ROOT --record=installed_files

# Generate optimized bytecode
python -O /usr/%{_lib}/python%pyver/compileall.py $RPM_BUILD_ROOT/usr/%{_lib}/python%pyver/site-packages

find $RPM_BUILD_ROOT/usr/%{_lib}/python%pyver -name "*pyo" | grep -v _xmlplus/__init__.pyo | sed "s|$RPM_BUILD_ROOT||" >> installed_files
find $RPM_BUILD_ROOT/usr/%{_lib}/python%pyver/site-packages/Ft -type d \
	| sed "s|^$RPM_BUILD_ROOT|%%dir |" >> installed_files

mkdir -p $RPM_BUILD_ROOT%{_bindir}
find $RPM_BUILD_ROOT/usr/%{_lib}/python%pyver/site-packages/Ft/Share/Bin \
	-name '4*' | sed "s|$RPM_BUILD_ROOT||" \
	| while read file; do ln -s "$file" $RPM_BUILD_ROOT%{_bindir}; done

# Remove unwanted .mo files in site-packages dir...
find $RPM_BUILD_ROOT/usr/%{_lib}/python%{pyver}/site-packages -name "*.mo" | xargs rm -f

%clean
rm -rf $RPM_BUILD_ROOT

%files -f installed_files
%defattr(-,root,root)
%{_bindir}/4*

%changelog
* Tue Nov  3 2009 Miloslav Trma <mitr@redhat.com> - 1.0-3.1
- Fix an expat DoS (CVE-2009-3720)
  Resolves: #532114

* Tue Sep 14 2004 Miloslav Trmac <mitr@redhat.com> - 1.0-3
- s/2.2/%%pyver/ in spec
- Link scripts to %{_bindir}
- Own created directories

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat Aug 02 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 1.0a3

* Thu Jun 26 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 1.0a1

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May  1 2003 Elliot Lee <sopwith@redhat.com> 0.11.1-14
- Fix multilibbing to be generic

* Thu Feb  6 2003 Mihai Ibanescu <misa@redhat.com> 0.11.1-13
- rebuilt with new python

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Dec 09 2002 Phil Knirsch <pknirsch@redhat.com> 0.11.1-11
- Remove unwanted .mo files in site-packages dir.
- Fix build problems on 64 bit machines.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 0.11.1-10
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com> 0.11.1-9
- automated rebuild

* Wed Apr 17 2002 Trond Eivind Glomsrd <teg@redhat.com>  0.11.1-8
- Make it require Distutils, not just BuildRequires

* Fri Apr 12 2002 Phil Knirsch <pknirsch@redhat.com> 0.11.1-7
- Fixed namespace problem with xslt/xpath engine.

* Mon Mar 11 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.11.1-6
- Update URL

* Tue Feb 26 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.11.1-5
- Rebuild

* Mon Jan 21 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.11.1-4
- Add them back, remove them from PyXML instead

* Mon Jan 14 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.11.1-3
- Remove xpath and xslt

* Tue Jan  8 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.11.1-1
- 0.11.1

* Fri Jan 04 2002 Florian La Roche <Florian.LaRoche@redhat.de> 0.11-7
- changed requires to: Requires: PyXML >= 0.6.6

* Thu Dec  6 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.11-5
- Fix file duplication (#57188)

* Wed Dec  5 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.11-4
- Include .pyo files
- don't hardcode python version

* Tue Nov 20 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.11-3
- Build for Python 2.2

* Fri Jun 15 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Add python-devel as a build dependency

* Mon May  7 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 0.11
- Require PyXML, as this is now distributed separately again

* Mon Jan 22 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 0.10.1, which includes PyXML... this should make integration
  problems between these disappear
- obsolete PyXML

* Wed Dec 13 2000 Trond Eivind Glomsrd <teg@redhat.com>
- remove a backup file from the sources

* Fri Dec 01 2000 Trond Eivind Glomsrd <teg@redhat.com>
- 0.10.0

* Thu Nov 02 2000 Trond Eivind Glomsrd <teg@redhat.com>
- first cut at a specfile for 4Suite
